Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Pico-8 support
#1
hi alexkidd , 

what's the status with Pico-8?

i think there was info during kickstarter campaign that every Retrostone2 owner will have licensed pico 8 working on  RS2. than i lost track on that matter. 
and as far as i know - there wasn't any info regarding pico after launch.

did i missed something?  it's  cancelled?  it's wip?  or i just confused everything.

cheers! Smile
Reply
#2
Pico8 shortcuts and dependencies should be included in the upcoming release, but AFAIK it wasnt licensed so we wont be able to include the complete install

Mentions  here and here

WIP video
Reply
#3
great news!!!


if i own pico [bought it] - included upcoming RS2 pico-8 will be the same ? or there should be some  license copying ?
Reply
#4
(04-16-2020, 02:59 PM)alexkidd Wrote: Pico8 shortcuts and dependencies should be included in the upcoming release, but AFAIK it wasnt licensed so we wont be able to include the complete install

Mentions  here and here

WIP video

Where can I find a procedure for adding your own license and getting it running with ROpi?
Reply
#5
i'll need some more time to set documentation straight and include shortcuts and libraries in next release,
Reply
#6
(06-17-2020, 06:38 PM)alexkidd Wrote: i'll need some more time to set documentation straight and include shortcuts and libraries in next release,

I'm more than happy to wait. Thanks for including it in the next release! For reference, here's what I did to get it running:

Scroll down until you reach the Launching PICO-8 from Emulation Station section:
https://www.lexaloffle.com/bbs/?tid=3935

i
nstead of running pico8, run pico8_dyn. This is required because pico8 depends on GPIO and glib libraries not found in bionic, which require manual compiling to obtain. I don't know the specific differences between pico8 and pico8_dyn, but pico8_dyn runs OOTB in ROpi 4.3, and the games I've played using it are extremely performant (more so than all of the other included emulators I've tried so far).  

But, where this leaves you is with a functional PICO-8 menu in Emulation Station that successfully launches PICO-8's splore cartridge browser/launcher. It requires an internet connection or locally-stored cartridges, and does use wifi just fine. 

What I /haven't/ solved so far is how to successfully build an SDL2 gamepad configuration that maps back to PICO-8's standard keys, nor do I know how to send a quit command to the emulator from the gamepad in order to return to ES. So at the moment, the only way out is a reboot. 

In the interim, while @alexkidd is compiling the full docs for the next release, if anyone has had any success on these last few issues, I'd welcome any advice or solutions you may have.
Reply
#7
(06-17-2020, 06:53 PM)megashub Wrote: What I /haven't/ solved so far is how to successfully build an SDL2 gamepad configuration that maps back to PICO-8's standard keys, nor do I know how to send a quit command to the emulator from the gamepad in order to return to ES. So at the moment, the only way out is a reboot. 

In the interim, while @alexkidd is compiling the full docs for the next release, if anyone has had any success on these last few issues, I'd welcome any advice or solutions you may have.

Updates:
1. PICO-8 actually has an exit command built into it's splore cartridge browser interface. It's just buried so it took a while to find it. Hit start on any cartridge. Then select Options. Then select Shutdown PICO-8. It dumps you gracefully back out to Emulation Station. Done. No further work needed there, I don't believe.

2. I needed to write a script to detect the current state of WIFI and either preserve it if it's already enabled, or cleanly enable it for use while playing PICO-8, and disable it again after PICO-8 exits.  PICO-8 games are so light-weight, I have seen zero performance impact and the user experience browsing for new games to play etc with wifi enabled is great. Very seamless.

So here's the script I ended up with. You'll see it respects and leverages ROPi's existing Enable/Disable scripts to help keep the PICO-8 script a bit more resilient:

Code:
#!/bin/bash

exec >  >(sudo tee -ia /var/log/pico8.log)
exec 2> >(sudo tee -ia /var/log/pico8.log >&2)

if [[ ! -d /sys/class/net/wlan0 ]]
then
   STARTSTATE=0
   RETVAL=$?
   if [[ $RETVAL = 0 ]]
   then
      /home/pi/RetrOrangePi/Wifi/Enable.sh
   else
      echo "ERROR adding wlan0 interface"
      exit 1
   fi
else
   STARTSTATE=1
fi


/home/pi/pico8/pico8_dyn -splore


if [[ $STARTSTATE == 0 ]]
then
   if [[ $RETVAL = 0 ]]
   then
      /home/pi/RetrOrangePi/Wifi/Disable.sh
   else
      echo "ERROR removing wlan0 interface"
      exit 1
   fi
fi

... If you decide to use the above, reminder -- don't forget to create a logrotate policy in /etc/logrotate.d for /var/log/pico8.log -- as written, it won't log anything unless there's output to the terminal, which there won't be if everything's working correctly, but juuuuust in case. Smile
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  GamesDB support GingeR13 9 1,177 05-14-2020, 07:07 AM
Last Post: Sayko
  Amiga HDF support AMike 4 677 05-11-2020, 02:51 PM
Last Post: alexkidd
  Atari 800/5200 - controller support Stargx 5 975 03-11-2020, 05:46 PM
Last Post: alexkidd

Forum Jump:


Users browsing this thread: 1 Guest(s)